Skip to content

Last updated: 16 July 2026 | Change log

Payment update

POST your request to the fraudsight:payment action link.

Payment update example request

POST https://try.access.worldpay.com/fraudsight/update/payment

Payment update request body:

Authorized payment outcome details are provided to the FraudSight service. This could be from any Worldpay or 3rd party payment provider.

{ "transactionReference": "Memory265-13/08/1876", "merchant": { "entity": "default" }, "riskProfile": "https://access.worldpay.com/riskprofile/ewogICJ2ZXJzaW9uIiA6IDEsCiAgImtleSIgOiAxLAogICJkYXRhIiA6ICJ5d1NnSzMwYnNGZXVYalR0QUJ0QWdnT3UvK3VhcktrL3c1dCtmSFd4dUFXRmVMZUpuM0MyaEtnYnZlZEdnbGtRY1h4LzltN1pSZGVXZWRBQ1ZvTmxZdFNiZUxaSmFrZXZxenVndFQ2bG44NkpNTW5CeGJSRFVWWWY3dTd5SXVuVFJLK0NYZS9tODRkaHdTUWVnZlYyYTRCb1RaQVNKK0RpcGpmYUxkK1lETlJFclVyZ1c0TGIvOGhvNnFzbFVBU0dSem8zRVRkMEdIUTZXZ1dIT2t1UVBabUF1NXZuVFdBeGZrSEQ5SkdrT1BoV1pMMmIyZm9yNWNOMzZvWUhOY2dkT0lKdkhNMEg5TG1oRDM1RXA4T3R2WWptVmNXS25FZmtLZ0RrK09KRDNLb2pobG", "paymentOutcome": "authorized", "cvcResult": "matched", "avsResult": { "address": "matched", "postcode": "matched" }, "authentication": { "version": "2.1.0", "eci": "05" } }

Schema

Full API Reference here

transactionReferencestring, [ 1 .. 64 ] characters^[-A-Za-z0-9_!@#$%()*=.:;?\[\]{}~`/+]*$required

A unique reference for authentication. For example, e-commerce order code.

merchantobjectrequired

An object that contains information about the merchant and API level configuration.

riskProfilestring, (uri), [ 39 .. 2048 ] charactersrequired

Represents the outcome of the original fraud assessment. Used to link subsequent Fraud related requests.

paymentOutcomestringrequired

Outcome of the payment authorization.

Enum:"authorized""refused"
refusalCodestring, [ 1 .. 2048 ] characters

The refusal response code from the acquirer.

Example:"5"
refusalDescriptionstring, [ 1 .. 2048 ] characters

The description of the 'refusalCode'.

Example:"REFUSED"
cvcResultstring

Outcome of the CVC check.

Enum:"matched""not_matched""not_checked""not_supplied"
avsResultobject

Object containing outcome of the address verification service check.

authenticationobject

Include this object if 3DS authentication details were part of the payment.

Payment update responses

Best practice

Access Worldpay returns a WP-CorrelationId in the headers of service responses. We highly recommend you log this. The WP-CorrelationId is used by us to examine individual service requests.

The response status is 200 OK.